<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ #%L
  ~ chvote-interfaces
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
		   targetNamespace="http://www.ge.ch/sidp/types/chvote/counting-circle/1.0.0"
		   xmlns:type="http://www.ge.ch/sidp/types/chvote/counting-circle/1.0.0"
		   elementFormDefault="qualified"
		   xmlns:eCH-0058="http://www.ech.ch/xmlns/eCH-0058/5" xmlns:eCH-0155="http://www.ech.ch/xmlns/eCH-0155/4">

	<xs:import namespace="http://www.ech.ch/xmlns/eCH-0058/5" schemaLocation="http://www.ech.ch/xmlns/eCH-0058/5/eCH-0058-5-0.xsd" />
	<xs:import namespace="http://www.ech.ch/xmlns/eCH-0155/4" schemaLocation="http://www.ech.ch/xmlns/eCH-0155/4/eCH-0155-4-0.xsd" />

	<xs:element name="countingCircleListDelivery">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="deliveryHeader" type="eCH-0058:headerType"></xs:element>
				<xs:element name="reportingAuthorityIdentification" minOccurs="0">
					<xs:simpleType>
						<xs:restriction base="xs:string">
							<xs:maxLength value="50" />
							<xs:minLength value="1" />
						</xs:restriction>
					</xs:simpleType>
				</xs:element>
				<xs:element name="countingCircleList" type="type:countingCircleListType" />
			</xs:sequence>
		</xs:complexType>
	</xs:element>

	<xs:complexType name="countingCircleListType">
		<xs:sequence>
			<xs:element name="countingCircle" maxOccurs="unbounded" type="eCH-0155:countingCircleType" />
		</xs:sequence>
	</xs:complexType>
</xs:schema>